%define	name	jwhois
%define	version	2.4.2
%define	release	1
%define	prefix	/usr

# set to 0 to have jwhois not replace or conflict with the
# system installed whois.
%define provide_whois 1

Summary:	The GNU Whois client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
License:	GPL 
Group:		Applications/Internet
URL:		http://www.gnu.org/software/jwhois
Vendor:		Jonas Oberg <jonas@gnu.org>
Source:		ftp://ftp.gnu.org/gnu/jwhois/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/install-info
BuildRequires:	gdbm-devel
%{?provide_whois:Obsoletes:	fwhois}

%description
JWHOIS is an Internet Whois client that queries hosts for information
according to RFC 954 - NICNAME/WHOIS. JWHOIS is configured via a
configuration file that contains information about all known Whois servers.
Upon execution, the host to query is selected based on the information
in the configuration file. 

The configuration file is highly customizable and makes heavy use of
regular expressions. 

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" \
./configure --prefix=%{prefix} --sysconfdir=/etc \
	    --enable-GROUP=nobody --localstatedir=/var/cache/jwhois
make

%install
if [ -d ${RPM_BUILD_ROOT} ]; then rm -rf ${RPM_BUILD_ROOT}; fi
make prefix=${RPM_BUILD_ROOT}%{prefix} \
     sysconfdir=${RPM_BUILD_ROOT}/etc install-strip

install -d -m 755 ${RPM_BUILD_ROOT}/etc
install -d -m 755 ${RPM_BUILD_ROOT}/var/cache/jwhois

# Modify and install jwhois.conf
perl -pi -e 's(^#cachefile.*$)(cachefile = "/var/cache/jwhois/jwhois.db";)g; \
	     s(^#cacheexpire.*$)(cacheexpire = 24;)g' example/jwhois.conf
install -m 644 example/jwhois.conf ${RPM_BUILD_ROOT}/etc

%if %{provide_whois}
	ln -s jwhois ${RPM_BUILD_ROOT}%{prefix}/bin/whois
	ln -s jwhois.1 ${RPM_BUILD_ROOT}%{prefix}/man/man1/whois.1
%endif

%clean
if [ -d ${RPM_BUILD_ROOT} ]; then rm -rf ${RPM_BUILD_ROOT}; fi

%pre
( [ -f /var/cache/jwhois/jwhois.db ] && \
	rm -f /var/cache/jwhois/jwhois.db ) || true;
%post
( [ -f %{prefix}/info/jwhois.info ] && \
	/sbin/install-info %{prefix}/info/jwhois.info %{prefix}/info/dir ) || true;
( [ -f %{prefix}/info/jwhois.info.gz ] && \
	/sbin/install-info %{prefix}/info/jwhois.info.gz %{prefix}/info/dir ) || true;

%preun 
( [ -f %{prefix}/info/jwhois.info ] && \
	/sbin/install-info --delete %{prefix}/info/jwhois.info %{prefix}/info/dir ) || true;
( [ -f %{prefix}/info/jwhois.info.gz ] && \
	/sbin/install-info --delete %{prefix}/info/jwhois.info.gz %{prefix}/info/dir ) || true;
( [ -f /var/cache/jwhois/jwhois.db ] && \
	rm -f /var/cache/jwhois/jwhois.db ) || true;

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config /etc/jwhois.conf
%attr(6755,nobody,nobody) %{prefix}/bin/jwhois
%{prefix}/man/man1/jwhois.1*
%{prefix}/info/jwhois.info*
%{prefix}/share/locale/*/LC_MESSAGES/jwhois.mo
%attr(6775,nobody,nobody) /var/cache/jwhois

%if %{provide_whois}
	%{prefix}/bin/whois
	%{prefix}/man/man1/whois.1*
%endif

%changelog
* Wed Jan 10 2001 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.2-1]
- src/lookup.c (find_cidr): Fix for big endian machines
- src/jwhois.c (main): Better handling of cache errors (Pl Lberg)
- example/jwhois.conf: Added .in, .nu (Kandra Nygrds), .hk (Patrick Liu),
  .as (Pl Lberg), .gov.uk (Michael Stevens), .at (Alexander Lehmann)
- src/lookup.c (find_cidr): Match n bits in an /n block instead
  of 32-n (Tom Hughes, Emil LAURENTIU)
- po/ru.po: Added (from Dmitry G. Mastrukov)

* Mon Feb 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-2]
- jwhois now runs as user nobody aswell as group nobody so that the
  cached database isn't owned by 'the first user to run jwhois', thus
  affecting their quota. (Thanks to Oren Tirosh <oren@hishome.net>)
- Oren Tirosh <oren@hishome.net> also informed me that since he was the
  first one to make a rpm for jwhois, it was unkind of me to rewrite and
  maintain the rpm for jwhois without as least leaving his rpm changelog
  entries. Sorry Oren, I can no longer locate the old rpms to replace
  your entries.

* Thu Jan 27 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-1]
- example/jwhois.conf: Added more CIDR blocks
  Changed registry for .no and added -NORID handles (from Pl Lberg)
- configure.in: Added generation of jwhois.spec
- Makefile.am (EXTRA_DIST): Added distribution of jwhois.spec
- jwhois.spec.in: Added (from Ryan Weaver)
- src/jwhois.c (make_connect): Output [host]\n -before- doing a
  resolver query (speeds up output so the user doesn't think it's hung)
- src/utils.c (fdread): Check return value from read correctly
- example/jwhois.conf: corrected \. to be \\.

* Mon Jan 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4-2]
- Made package relocatable.
- Including available locales now.
- Rewrote spec file.
- Made patch against source to include spec it distribution and sent it
  to the author.

